﻿#!/bin/sh

#размерът е в байтове!
SIZE_LIMIT=536870912
FB_DIR='/storage/fb_backups/stoar-aton/'
LOG_FILE='/storage/fb_script/fb_clean.log'

#Текущ размер на директорията с архивите
CURRENT_SIZE=$(du -bs $FB_DIR | awk '{print $1}')  

#Докато директорията е прекалено голяма
while (( CURRENT_SIZE > SIZE_LIMIT )) ;
do
	#сочим в нищото, за всеки случай
	O_F="/tmp/nosuchfile"
	O_TS=$(date +%s);

	# Архиви по-млади от 1 ден НЕ се трият (ако сме объркали положението с местото, не искаме да оставаме без архив)
	# За да се трие без значение - махнете -mtime +1
        for f in $(find "$FB_DIR" -mtime +1); do
		tmp_time=$(stat --format=%Z -- "$f")
		if (( tmp_time < O_TS )); then 
			O_F=$f
			O_TS=$tmp_time
		fi

	done
	#Ако съществува файлът - трием го, в противен случай излизаме за да не зациклим
	if [ -f $O_F ] ; then
		echo "deleting $O_F @ $(date +'%T% %D')" >> $LOG_FILE
		rm $O_F
	else
		exit
	fi
	#Опресняваме размера на директорията
	CURRENT_SIZE=$(du -bs $FB_DIR | awk '{print $1}')

done




# MB to Bytes Conversion table
#
#######################################
#
#    MB    Bytes           MB    Bytes            MB    Bytes
#   ---    ---------      ---    -----------     ---    -----------
#     1    1048576         64    67108864        448    469762048
#     2    2097152        128    134217728       512    536870912
#     4    4194304        192    201326592       640    671088640
#     8    8388608        256    268435456       768    805306368
#    16    16777216       320    335544320       896    939524096
#    32    33554432       384    402653184      1024    1073741824
